<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/animalListFragment">
    <fragment
        android:id="@+id/animalListFragment"
        android:name="esp.itb.kruger.lista.AnimalListFragment"
        android:label="animal_list_fragment"
        tools:layout="@layout/animal_list_fragment" >
        <action
            android:id="@+id/actionGoToAddAnimal"
            app:destination="@id/addAnimalFragment" />
        <action
            android:id="@+id/action_animalListFragment_to_mapsActivity"
            app:destination="@id/mapsActivity" />
    </fragment>
    <fragment
        android:id="@+id/addAnimalFragment"
        android:name="esp.itb.kruger.anadir.AddAnimalFragment"
        android:label="add_animal_fragment"
        tools:layout="@layout/add_animal_fragment" >
        <action
            android:id="@+id/action_addAnimalFragment_to_animalListFragment"
            app:destination="@id/animalListFragment"
            app:popUpTo="@+id/animalListFragment"
            app:popUpToInclusive="false" />
    </fragment>
    <activity
        android:id="@+id/mapsActivity"
        android:name="esp.itb.kruger.mapa.MapsActivity"
        android:label="activity_maps"
        tools:layout="@layout/activity_maps" >
        <argument
            android:name="latitude"
            app:argType="long" />
        <argument
            android:name="longitude"
            app:argType="long" />
    </activity>
</navigation>